document all puppet classes / defined types!?
Open, LowPublic

Description

the following puppet classes and defined types are not documented (as in, there is no comment line right before the class starts,
could be even just a newline too much making it look like this)

please insert at least one comment line right before every class to describe what it does, the doc ends up being published at https://doc.wikimedia.org/puppet/


./manifests/misc/monitoring.pp - WARNING: class not documented on line 19
./manifests/network.pp - WARNING: class not documented on line 411
./manifests/role/backup.pp - WARNING: class not documented on line 19
./manifests/role/backup.pp - WARNING: class not documented on line 273
./manifests/role/backup.pp - WARNING: class not documented on line 52
./manifests/role/ci.pp - WARNING: class not documented on line 303
./manifests/role/ci.pp - WARNING: class not documented on line 315
./manifests/role/ci.pp - WARNING: class not documented on line 347
./manifests/role/coredb.pp - WARNING: class not documented on line 106
./manifests/role/coredb.pp - WARNING: class not documented on line 116
./manifests/role/coredb.pp - WARNING: class not documented on line 125
./manifests/role/coredb.pp - WARNING: class not documented on line 135
./manifests/role/coredb.pp - WARNING: class not documented on line 145
./manifests/role/coredb.pp - WARNING: class not documented on line 154
./manifests/role/coredb.pp - WARNING: class not documented on line 163
./manifests/role/coredb.pp - WARNING: class not documented on line 171
./manifests/role/coredb.pp - WARNING: class not documented on line 192
./manifests/role/coredb.pp - WARNING: class not documented on line 201
./manifests/role/coredb.pp - WARNING: class not documented on line 210
./manifests/role/coredb.pp - WARNING: class not documented on line 232
./manifests/role/coredb.pp - WARNING: class not documented on line 243
./manifests/role/coredb.pp - WARNING: class not documented on line 96
./manifests/role/db.pp - WARNING: class not documented on line 100
./manifests/role/db.pp - WARNING: class not documented on line 17
./manifests/role/db.pp - WARNING: class not documented on line 59
./manifests/role/dns.pp - WARNING: class not documented on line 55
./manifests/role/etherpad.pp - WARNING: class not documented on line 1
./manifests/role/gerrit.pp - WARNING: class not documented on line 4
./manifests/role/horizon.pp - WARNING: class not documented on line 1
./manifests/role/ipsec.pp - WARNING: class not documented on line 1
./manifests/role/jobqueue_redis.pp - WARNING: class not documented on line 1
./manifests/role/labsores.pp - WARNING: class not documented on line 1
./manifests/role/labsores.pp - WARNING: class not documented on line 10
./manifests/role/labsores.pp - WARNING: class not documented on line 15
./manifests/role/labsores.pp - WARNING: class not documented on line 20
./manifests/role/labsores.pp - WARNING: class not documented on line 27
./manifests/role/labsores.pp - WARNING: class not documented on line 41
./manifests/role/labsores.pp - WARNING: class not documented on line 5
./manifests/role/mail.pp - WARNING: class not documented on line 1
./manifests/role/mail.pp - WARNING: class not documented on line 8
./manifests/role/mariadb.pp - WARNING: class not documented on line 377
./manifests/role/mariadb.pp - WARNING: class not documented on line 406
./manifests/role/mariadb.pp - WARNING: class not documented on line 457
./manifests/role/mariadb.pp - WARNING: class not documented on line 471
./manifests/role/mariadb.pp - WARNING: class not documented on line 512
./manifests/role/mariadb.pp - WARNING: class not documented on line 54
./manifests/role/mariadb.pp - WARNING: class not documented on line 688
./manifests/role/mariadb.pp - WARNING: class not documented on line 710
./manifests/role/mariadb.pp - WARNING: class not documented on line 737
./manifests/role/mariadb.pp - WARNING: class not documented on line 797
./manifests/role/mediawiki.pp - WARNING: class not documented on line 1
./manifests/role/mediawiki.pp - WARNING: class not documented on line 100
./manifests/role/mediawiki.pp - WARNING: class not documented on line 107
./manifests/role/mediawiki.pp - WARNING: class not documented on line 122
./manifests/role/mediawiki.pp - WARNING: class not documented on line 134
./manifests/role/mediawiki.pp - WARNING: class not documented on line 142
./manifests/role/mediawiki.pp - WARNING: class not documented on line 150
./manifests/role/mediawiki.pp - WARNING: class not documented on line 158
./manifests/role/mediawiki.pp - WARNING: class not documented on line 49
./manifests/role/mw_rc_irc.pp - WARNING: class not documented on line 1
./manifests/role/ntp.pp - WARNING: class not documented on line 1
./manifests/role/peopleweb.pp - WARNING: class not documented on line 1
./manifests/role/peopleweb.pp - WARNING: class not documented on line 23
./manifests/role/phabricator.pp - WARNING: class not documented on line 1
./manifests/role/phragile.pp - WARNING: class not documented on line 1
./manifests/role/pmacct.pp - WARNING: class not documented on line 1
./manifests/role/poolcounter.pp - WARNING: class not documented on line 1
./manifests/role/puppet_compiler.pp - WARNING: class not documented on line 1
./manifests/role/pybal_config.pp - WARNING: class not documented on line 1
./manifests/role/rancid.pp - WARNING: class not documented on line 1
./manifests/role/releases.pp - WARNING: class not documented on line 1
./manifests/role/releases.pp - WARNING: class not documented on line 32
./manifests/role/restbase.pp - WARNING: class not documented on line 22
./manifests/role/snapshot.pp - WARNING: class not documented on line 1
./manifests/role/snapshot.pp - WARNING: class not documented on line 11
./manifests/role/snapshot.pp - WARNING: class not documented on line 115
./manifests/role/snapshot.pp - WARNING: class not documented on line 122
./manifests/role/snapshot.pp - WARNING: class not documented on line 22
./manifests/role/snapshot.pp - WARNING: class not documented on line 33
./manifests/role/snapshot.pp - WARNING: class not documented on line 74
./manifests/role/spare.pp - WARNING: class not documented on line 1
./manifests/role/statistics.pp - WARNING: class not documented on line 1
./manifests/role/tcpircbot.pp - WARNING: class not documented on line 1
./manifests/role/testsystem.pp - WARNING: class not documented on line 1
./manifests/role/torrus.pp - WARNING: class not documented on line 1
./manifests/role/wikilabels.pp - WARNING: class not documented on line 1
./manifests/role/wikilabels.pp - WARNING: class not documented on line 13
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 11
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 12
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 13
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 14
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 15
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 16
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 17
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 18
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 19
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 20
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 21
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 22
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 23
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 24
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 25
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 26
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 27
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 28
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 29
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 30
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 31
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 32
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 33
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 34
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 35
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 40
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 41
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 42
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 43
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 44
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 45
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 46
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 47
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 48
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 53
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 54
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 55
./modules/apache/manifests/mod.pp - WARNING: class not documented on line 56
./modules/aptly/manifests/client.pp - WARNING: class not documented on line 1
./modules/aptly/manifests/repo.pp - WARNING: defined type not documented on line 1
./modules/apt/manifests/conf.pp - WARNING: defined type not documented on line 1
./modules/apt/manifests/init.pp - WARNING: class not documented on line 1
./modules/apt/manifests/noupgrade.pp - WARNING: class not documented on line 1
./modules/apt/manifests/pin.pp - WARNING: defined type not documented on line 1
./modules/apt/manifests/repository.pp - WARNING: defined type not documented on line 1
./modules/apt/manifests/unattendedupgrades.pp - WARNING: class not documented on line 1
./modules/backup/manifests/mysqlset.pp - WARNING: defined type not documented on line 1
./modules/base/manifests/certificates.pp - WARNING: class not documented on line 1
./modules/base/manifests/grub.pp - WARNING: class not documented on line 1
./modules/base/manifests/init.pp - WARNING: class not documented on line 1
./modules/base/manifests/instance_upstarts.pp - WARNING: class not documented on line 1
./modules/base/manifests/labs.pp - WARNING: class not documented on line 1
./modules/base/manifests/puppet/common.pp - WARNING: class not documented on line 1
./modules/base/manifests/puppet/params.pp - WARNING: class not documented on line 1
./modules/base/manifests/puppet.pp - WARNING: class not documented on line 1
./modules/base/manifests/resolving.pp - WARNING: class not documented on line 1
./modules/base/manifests/screenconfig.pp - WARNING: class not documented on line 1
./modules/base/manifests/standard_packages.pp - WARNING: class not documented on line 1
./modules/base/manifests/sysctl.pp - WARNING: class not documented on line 1
./modules/base/manifests/syslogs.pp - WARNING: defined type not documented on line 7
./modules/beta/manifests/syncsiteresources.pp - WARNING: class not documented on line 1
./modules/celery/manifests/flower.pp - WARNING: defined type not documented on line 1
./modules/celery/manifests/worker.pp - WARNING: defined type not documented on line 1
./modules/contint/manifests/browsers.pp - WARNING: class not documented on line 1
./modules/contint/manifests/hhvm.pp - WARNING: class not documented on line 1
./modules/contint/manifests/slave_scripts.pp - WARNING: class not documented on line 1
./modules/contint/manifests/website/labs.pp - WARNING: class not documented on line 1
./modules/contint/manifests/worker_localhost.pp - WARNING: class not documented on line 1
./modules/coredb_mysql/manifests/init.pp - WARNING: class not documented on line 1
./modules/coredb_mysql/manifests/snapshot.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/common.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/cron/kiwix.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/cron/pagecountsraw.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/cron/rsync/labs.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/cron/rsync/peers.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/dirs.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/html.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/init.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/nfs.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/rsync/common.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/rsync/default.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/rsync/pagecounts.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/rsync/peers.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/rsync/phab_dump.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/rsync/public.pp - WARNING: class not documented on line 1
./modules/dataset/manifests/user.pp - WARNING: class not documented on line 1
./modules/debdeploy/manifests/init.pp - WARNING: class not documented on line 1
./modules/deployment/manifests/salt_master.pp - WARNING: class not documented on line 1
./modules/diamond/manifests/collector/extendedexim.pp - WARNING: defined type not documented on line 17
./modules/diamond/manifests/collector/localcrontab.pp - WARNING: defined type not documented on line 17
./modules/dnsrecursor/manifests/labsaliaser.pp - WARNING: class not documented on line 1
./modules/dnsrecursor/manifests/metalresolver.pp - WARNING: class not documented on line 1
./modules/docker/manifests/registry.pp - WARNING: class not documented on line 1
./modules/drac/manifests/init.pp - WARNING: class not documented on line 1
./modules/dumps/manifests/init.pp - WARNING: class not documented on line 1
./modules/dynamicproxy/manifests/api.pp - WARNING: class not documented on line 1
./modules/elasticsearch/manifests/ganglia.pp - WARNING: class not documented on line 1
./modules/facilities/manifests/monitor_pdu_3phase.pp - WARNING: defined type not documented on line 1
./modules/ferm/manifests/conf.pp - WARNING: defined type not documented on line 1
./modules/ferm/manifests/init.pp - WARNING: class not documented on line 1
./modules/ferm/manifests/rule.pp - WARNING: defined type not documented on line 1
./modules/ganglia/manifests/gmetad.pp - WARNING: class not documented on line 1
./modules/ganglia/manifests/monitor/aggregator/instance.pp - WARNING: defined type not documented on line 1
./modules/ganglia/manifests/monitor/aggregator.pp - WARNING: class not documented on line 1
./modules/ganglia/manifests/monitor/aggregator.pp - WARNING: defined type not documented on line 28
./modules/ganglia/manifests/monitor/config.pp - WARNING: class not documented on line 1
./modules/ganglia/manifests/monitor/packages.pp - WARNING: class not documented on line 1
./modules/ganglia/manifests/monitor.pp - WARNING: class not documented on line 1
./modules/ganglia/manifests/monitor/service.pp - WARNING: class not documented on line 1
./modules/gerrit/manifests/crons.pp - WARNING: class not documented on line 1
./modules/gerrit/manifests/jetty.pp - WARNING: class not documented on line 1
./modules/gerrit/manifests/proxy.pp - WARNING: class not documented on line 1
./modules/icinga/manifests/group.pp - WARNING: class not documented on line 1
./modules/icinga/manifests/monitor/gsb.pp - WARNING: class not documented on line 1
./modules/interface/manifests/add_ip6_mapped.pp - WARNING: defined type not documented on line 1
./modules/interface/manifests/aggregate.pp - WARNING: defined type not documented on line 1
./modules/interface/manifests/aggregate.pp - WARNING: defined type not documented on line 24
./modules/interface/manifests/manual.pp - WARNING: defined type not documented on line 1
./modules/interface/manifests/rps.pp - WARNING: class not documented on line 44
./modules/interface/manifests/tagged.pp - WARNING: defined type not documented on line 1
./modules/interface/manifests/tun6to4.pp - WARNING: defined type not documented on line 1
./modules/interface/manifests/up_command.pp - WARNING: defined type not documented on line 1
./modules/irqbalance/manifests/disable.pp - WARNING: class not documented on line 2
./modules/jenkins/manifests/group.pp - WARNING: class not documented on line 1
./modules/jenkins/manifests/init.pp - WARNING: class not documented on line 1
./modules/jenkins/manifests/user.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/apiserver.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/client.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/controller.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/flannel.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/infrastructure_config.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/kubelet.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/proxy.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/scheduler.pp - WARNING: class not documented on line 1
./modules/k8s/manifests/users.pp - WARNING: class not documented on line 1
./modules/labs_bootstrapvz/manifests/init.pp - WARNING: class not documented on line 1
./modules/labs_debrepo/manifests/repo.pp - WARNING: defined type not documented on line 1
./modules/labstore/manifests/fileserver/exports.pp - WARNING: class not documented on line 1
./modules/labs_vmbuilder/manifests/init.pp - WARNING: class not documented on line 1
./modules/ldap/manifests/client/includes.pp - WARNING: class not documented on line 1
./modules/ldap/manifests/client/nss.pp - WARNING: class not documented on line 1
./modules/ldap/manifests/client/openldap.pp - WARNING: class not documented on line 1
./modules/ldap/manifests/client/pam.pp - WARNING: class not documented on line 1
./modules/ldap/manifests/client/sudo.pp - WARNING: class not documented on line 1
./modules/ldap/manifests/role/client.pp - WARNING: class not documented on line 1
./modules/ldap/manifests/role/config.pp - WARNING: class not documented on line 1
./modules/librenms/manifests/web.pp - WARNING: class not documented on line 1
./modules/lvs/manifests/monitor_service_http_https.pp - WARNING: defined type not documented on line 1
./modules/mailman/manifests/cron.pp - WARNING: class not documented on line 1
./modules/mailman/manifests/init.pp - WARNING: class not documented on line 1
./modules/mailman/manifests/listserve.pp - WARNING: class not documented on line 1
./modules/mailman/manifests/webui.pp - WARNING: class not documented on line 1
./modules/mariadb/manifests/init.pp - WARNING: class not documented on line 1
./modules/mattermost/manifests/matterircd.pp - WARNING: class not documented on line 1
./modules/mattermost/manifests/server.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/cirrussearch.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/cleanup_upload_stash.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/echo_mail_batch.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/pagetriage.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/parsercachepurging.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/purge_abusefilter.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/purge_checkuser.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/purge_securepoll.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/refreshlinks.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/refreshlinks.pp - WARNING: defined type not documented on line 14
./modules/mediawiki/manifests/maintenance/tor_exit_node.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/translationnotifications.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/update_article_count.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/update_flaggedrev_stats.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/updatequerypages.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/updatequerypages.pp - WARNING: defined type not documented on line 11
./modules/mediawiki/manifests/maintenance/updatequerypages.pp - WARNING: defined type not documented on line 55
./modules/mediawiki/manifests/maintenance/update_special_pages.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/updatetranslationstats.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/maintenance/wikidata.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/packages.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/web/beta_sites.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/web/modules.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/web.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/web/prod_sites.pp - WARNING: class not documented on line 1
./modules/mediawiki/manifests/web/sites.pp - WARNING: class not documented on line 1
./modules/mirrors/manifests/init.pp - WARNING: class not documented on line 1
./modules/mirrors/manifests/serve.pp - WARNING: class not documented on line 1
./modules/monitoring/manifests/service.pp - WARNING: defined type not documented on line 1
./modules/mysql/manifests/server/account_security.pp - WARNING: class not documented on line 1
./modules/mysql/manifests/server/monitor.pp - WARNING: class not documented on line 1
./modules/mysql_multi_instance/manifests/init.pp - WARNING: class not documented on line 2
./modules/mysql_multi_instance/manifests/instance.pp - WARNING: defined type not documented on line 1
./modules/mysql_wmf/manifests/client/default_charset_binary.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/conf.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/coredb/ganglia.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/coredb/monitoring.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/datadirs.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/ganglia.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/monitor/percona.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/mysqlpath.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/mysqluser.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/pc/conf.pp - WARNING: class not documented on line 1
./modules/mysql_wmf/manifests/slow_digest.pp - WARNING: class not documented on line 1
./modules/ntp/manifests/daemon.pp - WARNING: defined type not documented on line 1
./modules/openldap/manifests/ldap_schema.pp - WARNING: defined type not documented on line 1
./modules/openstack/manifests/glance/service.pp - WARNING: class not documented on line 1
./modules/ores/manifests/base.pp - WARNING: class not documented on line 1
./modules/ores/manifests/config.pp - WARNING: defined type not documented on line 1
./modules/ores/manifests/redis.pp - WARNING: class not documented on line 1
./modules/ores/manifests/redisproxy.pp - WARNING: class not documented on line 1
./modules/ores/manifests/worker.pp - WARNING: class not documented on line 1
./modules/osm/manifests/users.pp - WARNING: class not documented on line 1
./modules/puppetmaster/manifests/certmanager.pp - WARNING: class not documented on line 1
./modules/puppetmaster/manifests/generators.pp - WARNING: class not documented on line 1
./modules/puppetmaster/manifests/geoip.pp - WARNING: class not documented on line 1
./modules/puppetmaster/manifests/ssl.pp - WARNING: class not documented on line 1
./modules/pybal/manifests/configuration.pp - WARNING: class not documented on line 1
./modules/pybal/manifests/init.pp - WARNING: class not documented on line 1
./modules/pybal/manifests/web/dc_pools.pp - WARNING: defined type not documented on line 1
./modules/releases/manifests/reprepro/upload.pp - WARNING: class not documented on line 1
./modules/requesttracker/manifests/aliases.pp - WARNING: class not documented on line 1
./modules/role/manifests/beta/trebuchet_testing.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/base.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/configuration.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/kafka/eventlogging.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/maps.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/misc.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/parsoid.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/ssl/misc.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/ssl/unified.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/text.pp - WARNING: class not documented on line 1
./modules/role/manifests/cache/upload.pp - WARNING: class not documented on line 1
./modules/role/manifests/ceilometer/compute.pp - WARNING: class not documented on line 1
./modules/role/manifests/ceilometer/controller.pp - WARNING: class not documented on line 1
./modules/role/manifests/debdeploy/master.pp - WARNING: class not documented on line 1
./modules/role/manifests/deployment/server.pp - WARNING: class not documented on line 1
./modules/role/manifests/elasticsearch/alerts.pp - WARNING: class not documented on line 1
./modules/role/manifests/ganglia/config.pp - WARNING: class not documented on line 1
./modules/role/manifests/graphite/alerts/reqstats.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/bastion.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/db/master.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/db/slave.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/dns.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/instance.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/openstack/designate.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/openstack/glance.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/openstack/keystone.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/openstack/nova.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/openstack/nova.pp - WARNING: class not documented on line 213
./modules/role/manifests/labs/openstack/nova.pp - WARNING: class not documented on line 224
./modules/role/manifests/labs/openstack/nova.pp - WARNING: class not documented on line 231
./modules/role/manifests/labs/openstack/nova.pp - WARNING: class not documented on line 257
./modules/role/manifests/labs/openstack/nova.pp - WARNING: class not documented on line 281
./modules/role/manifests/labs/quarry/celeryrunner.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/quarry/database.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/quarry/redis.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/quarry/web.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/bastion.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/checker.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/common.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/compute.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/cronrunner.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/mailrelay.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/master.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/proxy.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/redis.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/services.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/shadow.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/static.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/tools/submit.pp - WARNING: class not documented on line 1
./modules/role/manifests/labs/vmbuilder.pp - WARNING: class not documented on line 1
./modules/role/manifests/lists/server.pp - WARNING: class not documented on line 1
./modules/role/manifests/lvs/balancer.pp - WARNING: class not documented on line 1
./modules/role/manifests/mattermost/server.pp - WARNING: class not documented on line 1
./modules/role/manifests/mha/manager.pp - WARNING: class not documented on line 1
./modules/role/manifests/mha/manager.pp - WARNING: defined type not documented on line 40
./modules/role/manifests/mha/manager.pp - WARNING: defined type not documented on line 54
./modules/role/manifests/mha/manager.pp - WARNING: defined type not documented on line 64
./modules/role/manifests/mha/node.pp - WARNING: class not documented on line 1
./modules/role/manifests/osm/common.pp - WARNING: class not documented on line 1
./modules/role/manifests/osm/master.pp - WARNING: class not documented on line 1
./modules/role/manifests/osm/slave.pp - WARNING: class not documented on line 1
./modules/role/manifests/parsoid/beta.pp - WARNING: class not documented on line 1
./modules/role/manifests/parsoid/production.pp - WARNING: class not documented on line 1
./modules/role/manifests/postgres/common.pp - WARNING: class not documented on line 1
./modules/role/manifests/postgres/master.pp - WARNING: class not documented on line 1
./modules/role/manifests/postgres/slave.pp - WARNING: class not documented on line 1
./modules/role/manifests/salt/masters/production.pp - WARNING: class not documented on line 1
./modules/role/manifests/salt/minions.pp - WARNING: class not documented on line 1
./modules/role/manifests/swift/proxy.pp - WARNING: class not documented on line 1
./modules/role/manifests/swift/stats_reporter.pp - WARNING: class not documented on line 1
./modules/role/manifests/swift/storage.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/docker/registry.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/etcd/flannel.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/etcd/k8s.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/k8s/bastion.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/k8s/master.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/k8s/webproxy.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/k8s/worker.pp - WARNING: class not documented on line 1
./modules/role/manifests/toollabs/puppet/master.pp - WARNING: class not documented on line 1
./modules/role/manifests/zuul/merger.pp - WARNING: class not documented on line 1
./modules/role/manifests/zuul/server.pp - WARNING: class not documented on line 1
./modules/salt/manifests/master_environment.pp - WARNING: defined type not documented on line 1
./modules/salt/manifests/master/key.pp - WARNING: class not documented on line 1
./modules/salt/manifests/master.pp - WARNING: class not documented on line 1
./modules/salt/manifests/reactors.pp - WARNING: class not documented on line 1
./modules/smokeping/manifests/config.pp - WARNING: class not documented on line 1
./modules/smokeping/manifests/init.pp - WARNING: class not documented on line 1
./modules/smokeping/manifests/web.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/addschanges/config.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/addschanges.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/addschanges/templates.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/centralauthdump.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/cirrussearch.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dirs.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/configs.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/cron/huge.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/cron.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/cron/rest.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/dblists.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/dumplists.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/mediadirlists.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/monitor.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/pagetitles.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/stagesconfig.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/stagesconf.pp - WARNING: defined type not documented on line 1
./modules/snapshot/manifests/dumps/templates.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/dumps/wikiconf.pp - WARNING: defined type not documented on line 1
./modules/snapshot/manifests/init.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/mediaperprojectlists.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/wikidatadumps/common.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/wikidatadumps/json.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/wikidatadumps/ttl.pp - WARNING: class not documented on line 1
./modules/snapshot/manifests/wikiqueryskip.pp - WARNING: class not documented on line 1
./modules/ssh/manifests/client.pp - WARNING: class not documented on line 1
./modules/ssh/manifests/init.pp - WARNING: class not documented on line 1
./modules/ssh/manifests/server.pp - WARNING: class not documented on line 1
./modules/statistics/manifests/user.pp - WARNING: class not documented on line 1
./modules/strongswan/manifests/init.pp - WARNING: class not documented on line 1
./modules/strongswan/manifests/monitoring/host.pp - WARNING: class not documented on line 1
./modules/sudo/manifests/init.pp - WARNING: class not documented on line 1
./modules/swift/manifests/container_sync.pp - WARNING: class not documented on line 1
./modules/swift/manifests/init_device.pp - WARNING: defined type not documented on line 1
./modules/swift/manifests/label_filesystem.pp - WARNING: defined type not documented on line 1
./modules/swift/manifests/monitoring/graphite_alerts.pp - WARNING: defined type not documented on line 1
./modules/swift/manifests/mount_filesystem.pp - WARNING: defined type not documented on line 1
./modules/swift/manifests/params.pp - WARNING: class not documented on line 1
./modules/swift/manifests/proxy.pp - WARNING: class not documented on line 1
./modules/swift/manifests/stats/accounts.pp - WARNING: class not documented on line 1
./modules/swift/manifests/stats/dispersion.pp - WARNING: class not documented on line 1
./modules/swift/manifests/stats/stats_account.pp - WARNING: defined type not documented on line 1
./modules/swift/manifests/stats/stats_container.pp - WARNING: defined type not documented on line 1
./modules/swift/manifests/storage/monitoring.pp - WARNING: class not documented on line 1
./modules/swift/manifests/storage/monitor_swift_daemon.pp - WARNING: defined type not documented on line 1
./modules/swift/manifests/storage.pp - WARNING: class not documented on line 1
./modules/toollabs/manifests/admin_web_updater.pp - WARNING: class not documented on line 1
./modules/toollabs/manifests/bigbrother.pp - WARNING: class not documented on line 1
./modules/toollabs/manifests/composer.pp - WARNING: class not documented on line 1
./modules/toollabs/manifests/cronrunner.pp - WARNING: class not documented on line 1
./modules/toollabs/manifests/kube2proxy.pp - WARNING: class not documented on line 1
./modules/toollabs/manifests/updatetools.pp - WARNING: class not documented on line 1
./modules/torrus/manifests/config.pp - WARNING: class not documented on line 1
./modules/torrus/manifests/discovery.pp - WARNING: class not documented on line 1
./modules/torrus/manifests/init.pp - WARNING: class not documented on line 1
./modules/torrus/manifests/web.pp - WARNING: class not documented on line 1
./modules/torrus/manifests/xmlconfig.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/common/director_scripts.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/common.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/common/vcl.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/extra_vcl.pp - WARNING: defined type not documented on line 1
./modules/varnish/manifests/init.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/instance.pp - WARNING: defined type not documented on line 1
./modules/varnish/manifests/logging/config.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/logging.pp - WARNING: defined type not documented on line 1
./modules/varnish/manifests/monitoring/ganglia.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/monitoring/ganglia/vhtcpd.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/monitoring/instance.pp - WARNING: defined type not documented on line 1
./modules/varnish/manifests/packages.pp - WARNING: class not documented on line 1
./modules/varnish/manifests/setup_filesystem.pp - WARNING: defined type not documented on line 1
./modules/zuul/manifests/user.pp - WARNING: class not documented on line 1
Dzahn created this task.Feb 23 2016, 6:55 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 23 2016, 6:55 AM
Dzahn triaged this task as Low priority.Feb 23 2016, 6:55 AM
Dzahn added a subscriber: scfc.
Dzahn added a subscriber: Mschon.Apr 20 2016, 2:21 AM
Paladox added a subscriber: Paladox.Sep 2 2016, 9:43 PM

Change 310717 had a related patch set uploaded (by Dzahn):
apache: fix 42 x 'class not documented', add doc links

https://gerrit.wikimedia.org/r/310717

Change 310717 merged by Dzahn:
apache: fix 42 x 'class not documented', add doc links

https://gerrit.wikimedia.org/r/310717

This task is about adding comments/docs to all puppet classes that don't have any. I could imagine mentoring somebody to do it in Google-Code-in-2016. It will be comments-only so can't affect code but it needs the time to figure out what each class does on a high level, like one sentence each.

Mvolz moved this task from Needs mentor to Proposed tasks on the Google-Code-In-2016 board.
Dzahn added a comment.Oct 21 2016, 7:15 PM

How to do this and confirm it's done.

1.) git clone the operations/puppet repo (git clone https://gerrit.wikimedia.org/r/p/operations/puppet.git)
2.) install puppet-lint (http://puppet-lint.com/) , (apt-get install puppet-lint)
3.) in the operations/puppet repo, open .puppet-lint.rc and remove or comment the line "--no-documentation-check"
4.) in the operations/puppet repo, run something like "for manifest in $(find . -name *.pp); do puppet-lint --with-filename $manifest; done" | tee log.file and see the "WARNING: class not documented" and "WARNING: defined type not documented" in the output

example: ./modules/celery/manifests/flower.pp - WARNING: defined type not documented on line 1

5.) for each of these go the corresponding class / define and add at least one line of documentation, right before the class starts, without a newline in between. Ideally, figure out what the class or define does and describe it on a high-level in a short sentence, or add a link that describes it in more detail or similar

6.) run the puppet-lint command repeatedly until all those "not documented" warnings are gone, you can ignore other types of errors or warnings

7.) upload the changes to gerrit and get them reviewed, add "Dzahn"

8.) in a final edit we can now probably (to be discussed) change the .puppet-lint.rc and remove the exception "--no-documentation-check" so that in the future adding them on creation will be encouraged by jenkins-bot

@Dzahn: i was Free and added mzself as a mentor to the task, too :) however, do you think that two instances are enough? On my mobile phone that looks like a bit of work to be done, so probably we can increase the task found and decrease the complexity of each instance for each student? :)

Dzahn added a comment.Nov 22 2016, 9:43 PM

@Florian Oh, very nice. That's cool to have another mentor on it. You are probably right about too much work for an instance. I wasn't sure about the setting at all. Yes, your suggestion sounds good. how would we split the work?

Cool :)

Mostly Mentors Split the work in a was like "do at least (number of things) of the repetitive work to fulfill the Task". As it seems, from what I See, the changes are mostly the same scheme (select a File you want to Document, understand what the puppet class does, document it), I would say something like: Document at least 5 puppet classes to complete a task. What do you think?

Yes, sounds good.

Ok, published: https://codein.withgoogle.com/dashboard/tasks/5667832180244480/ :)
I was free and wrote, that the student has to finish at least 10 classes to accomplish an instance. There're 46 instances now, let's see how it works :D

Change 324033 had a related patch set uploaded (by Dzahn):
puppet-lint.rc: make exception for "no docs" obsolete :)

https://gerrit.wikimedia.org/r/324033

Change 324033 abandoned by Dzahn:
puppet-lint.rc: make exception for "no docs" obsolete :)

https://gerrit.wikimedia.org/r/324033

hashar updated the task description. (Show Details)Feb 9 2017, 9:26 AM
hashar added a subscriber: hashar.

Via another task, I made the puppet documentation to be generated using yard (a ruby documentation generator). The result can be see on https://doc.wikimedia.org/puppet/